# Glitch City Laboratories Archives

Glitch City Laboratories closed on 1 September 2020 (announcement). This is an archived copy of a thread from Glitch City Laboratories Forums.

You can join Glitch City Research Institute to ask questions or discuss current developments.

You may also download the archive of this forum in .tar.gz, .sql.gz, or .sqlite.gz formats.

## Video Games Discussion

### What's your favorite video game music? - Page 1

Previous Page

- 1
- 2
- 3
- 4

Next Page

#### What's your favorite video game music?

Posted by: MissingNo
Date: 2006-03-25 13:20:47
Hey there, what the heck happened? I tried to log in, but the name MissingNo didn't exist!
Anyway, mine is the Pokemon Ruby/Sapphire Sealed Chamber music.

#### Re: What's your favorite video game music?

Posted by: xparasite9
Date: 2006-03-25 22:36:34
The utter chaos like the world is ending music in emerald after Kyogre's awoken.

#### Re: What's your favorite video game music?

Posted by: white dragon bionut
Date: 2006-03-27 17:29:04
kingdom hearts halloweentown music, khII halloweentown music, sonic heroes team dark music, 99 red ballons (gran tourismo3-aspec)

#### Re: What's your favorite video game music?

Posted by: Abwayax
Date: 2006-03-29 18:04:31
Sonic 2 and CD have pwnsome music. So does S3&K, but to a lesser extent.

#### Re: What's your favorite video game music?

Posted by: ACE91
Date: 2006-03-29 19:14:47
It seems that all of the best music that I find on VGMusic.com is from games I don't own. I like music from Golden Sun and Tales of Symphonia, even though I don't own either of them. I also like some music from Japan-only games that I find on VGMusic.com; here's a link to one of my favorites:
http://www.vgmusic.com/music/console/nintendo/gba/T_SuperRobotTaisenOG_Kyousuke.mid
Why do the Japanese get all the good games and music?
Edit: You have to copy-and-paste the link into your browser's Address bar. VGMusic.com doesn't like direct linking.
Anyway, as for games I actually own… I like some of the CO theme music from Advance Wars, and some music from the original Mario & Luigi: Superstar Saga (The GBA one, which is far superior to the DS one).

#### Re: What's your favorite video game music?

Posted by: BladeAlchemist
Date: 2006-04-01 18:38:12
i don't know i liked alot of game music i even ave a few game sound tracks but i must say i like the music in Final Fantasy Tactics

#### Re: What's your favorite video game music?

Posted by: Izwzyzx
Date: 2006-04-02 21:50:09
1) End Credits of G/S/C (teh pwn. Why won't anyone at VGmusic make it?!)
2) The championship battle against your rival (FireRed/LeafGreen)
3) Natols (Zero Wing)
4) Brinstar and End Credits (Original Metroid)
5) "Victory at Hand", "Card as Blade", and the duel music for Odion and Marik (Nightmare Troubadour)
6) The Desert, The battle against the Regi trio, and the "Elite Four member encountered!" music (R/S/E)
Side note: "Card as Blade" is an awesome name.

#### Re: What's your favorite video game music?

Posted by: Radio F Software
Date: 2006-04-22 21:12:59
Some of my favorite video game music are in the following games:
>Sonic the Hegdehog Series (Genesis)
>Vectorman (Genesis)
>Super Off Road (Genesis)
>Mega Man Series (NES)
>Maniac Mansion (NES)
>Biometal (SNES)
>Lawnmower Man (SNES)
>Road Rash 2 (Genesis)

#### Re: What's your favorite video game music?

Posted by: Zowayix
Date: 2006-04-25 06:08:22
Letsee then. *looks through game collection*
[me=Zowayix]recommends the following games for good music0rz:[/me]
-Pokemon Stadium (N64)
-Pokemon Stadium 2 (N64)
-Banjo-Kazooie (N64)
-Mario Tennis (N64)
-SSBM (GCN)
-Pokemon Emerald (GBA)
-Crazy Frog Racer (GBA)
-Game Boy Camera (GBC)
-Simpsons Skateboarding (PS2)
which all happen to be my favourite games. Coincedence? *insert spooky music here*
[me=Zowayix]does not recommend the following games for good music:[/me]
-Singstar Party (PS2)
-Pikmin 2 (GCN) (it hardly even has music)

#### Re: What's your favorite video game music?

Posted by: HiddenShadow
Date: 2006-05-13 06:30:55
Hmmm….I like em all.The Sonic music is cool,but the Zelda music is cool too.Then there is the metroid music…Hmm…I guess I like any music I can play on the keyboard.I've been getting better.

#### Re: What's your favorite video game music?

Posted by: pokemon_yellow
Date: 2006-05-14 08:38:19
Metriod Prime The First Hunt Demo (DS) .How evil.
Pokemon Yellow Music. (GBC) .It gets stuck in my head and I like it.
Emerald Battle frontier music .SO kewl.

#### Re: What's your favorite video game music?

Posted by: Wild MissingNo. appeared
Date: 2006-08-11 20:13:43
Here is what I like:
You're Not here - Silent Hill 3
Theme of Laura - Silent Hill 2
Silent Hill Theme Song (No full name I guess) - Silent Hill
Song of Healing - Legend of Zelda: Majora's Mask
Get Oath to Order - Legend of Zelda: Majora's Mask
Song of Time - Legend of Zelda: Orcarina of Time
Serenade of Water - Legend of Zelda: Orcarina of Time
Requiem of Spirit - Legend of Zelda: Orcarina of Time
Saria's Song (The Lost Woods) Legend of Zelda: Ocarina of Time
Song of Storms - Ledend of Zelda: Ocarina of Time
Epona's Song - Legend of Zelda
Nocturne of Shadow - Legend of Zelda: Ocarina of Time
Zelda's Lullaby - Legend of Zelda: Ocarina of Time
Room of Angel - Silent Hill 4
Silent Hill 4 Theme Song (Main Theme) (I'm not sure on the name) - Silent Hill 4
Innocent Moon - Silent Hill 3
Please Love Me… Once More - Silent Hill 3
Maternal Heart - Silent Hill 3
Memory of Alessa - Silent Hill 3
Tears of Pain - Silent Hill (Ending Good/Bad)
Slent Hill 4 Lullaby (Main Theme Song) - Silent Hill 4
Stairs of Fire - Silent Hill 2
Red Pyramids - Silent Hill 2
Death of Lisa (Long Version) - Silent Hill
Hell's Atmosphere - Silent Hill
Maternal Heart Silent Hill 3
I like a lot more but I don't think anyone wants to know anymore..

#### Re: What's your favorite video game music?

Posted by: PokemonPichu
Date: 2006-08-11 20:26:49
Listen to the music in Mother 3/Earthbound 2 (is that game ever gonna get released to the USA?!?!?!), awesome GBA music!
I also like a lot of NES and Gameboy music. I know, I'm weird. :P

#### Re: What's your favorite video game music?

Posted by: Wild MissingNo. appeared
Date: 2006-08-11 20:34:10
:D Your not werid it's like with me I like Game Boy Music on most games

#### Re: What's your favorite video game music?

Posted by: MOD-SAN
Date: 2006-08-16 22:39:27
I like the music from the first .hack series [mainly the Phase music - Skeith and Maha in particular - and Aura's music]. Also, the Wind Waker music was pretty good. And I like the pop-sorta music in Um Jammer Lammy [a game that I only heard of, I think].
Previous Page

- 1
- 2
- 3
- 4

Next Page